Update a tag.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Put, RequestUri = new Uri("https://example.com/api/workspace/tags/example"), Content = new StringContent("{ \"TagName\": \"example\", \"Color\": \"example\", \"Category\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/tags/example';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"TagName":"example","Color":"example","Category":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/workspace/tags/example \ --header 'Content-Type: application/json' \ --data '{ "TagName": "example", "Color": "example", "Category": "example" }'Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Request payload to update a tag.
object
Updated tag name.
Updated color value.
Updated category.
Examplegenerated
{ "TagName": "example", "Color": "example", "Category": "example"}Request payload to update a tag.
object
Updated tag name.
Updated color value.
Updated category.
Examplegenerated
{ "TagName": "example", "Color": "example", "Category": "example"}Request payload to update a tag.
object
Updated tag name.
Updated color value.
Updated category.
Examplegenerated
{ "TagName": "example", "Color": "example", "Category": "example"}Responses
Section titled “Responses”OK
object
Tag details.
object
Tag identifier.
object
Tag name.
Optional color value.
Optional category.
Creation timestamp.
Creator identifier, or null for legacy rows without attribution.
Creator display name.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
Tag details.
object
Tag identifier.
object
Tag name.
Optional color value.
Optional category.
Creation timestamp.
Creator identifier, or null for legacy rows without attribution.
Creator display name.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "field": "example", "metadata": { "additionalProperty": "example" }, "correlationId": "example"}Not Found
object
Tag details.
object
Tag identifier.
object
Tag name.
Optional color value.
Optional category.
Creation timestamp.
Creator identifier, or null for legacy rows without attribution.
Creator display name.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}